export interface FallbackRoute {
    routeRegex: string;
    fallback: string | false;
    dataRoute: string;
    dataRouteRegex: string;
}
export interface PrerenderRoute {
    initialRevalidateSeconds: number | false;
    srcRoute: string | null;
    dataRoute: string;
}
export interface ResourceRoutes {
    fallback?: FallbackRoute;
    prerender?: PrerenderRoute;
    public?: string;
    static?: string;
    page?: string;
}
export declare class Resource {
    private readonly uri;
    private readonly basePath;
    private readonly buildId;
    routes: ResourceRoutes;
    constructor(uri: string, basePath: string, buildId: string);
    isData(): boolean;
    getPagePath(): string | undefined;
    getHtmlKey(): string;
    getHtmlUri(): string;
    getJsonKey(): string;
    getJsonUri(): string;
    getNormalUri(): string;
    getCanonicalUri(): string;
    getUri(): string;
    getBasePath(): string;
    getBuildId(): string;
}
export declare class ResourceForIndexPage extends Resource {
    getPagePath(): string | undefined;
    getCanonicalUri(): string;
    getHtmlUri(): string;
}
